Package org.apache.ignite.spi.eventstorage.memory

## Interface MemoryEventStorageSpiMBean

- All Superinterfaces:
    `IgniteSpiManagementMBean`

      @MXBeanDescription("MBean that provides access to memory event storage SPI configuration.")
      public interface MemoryEventStorageSpiMBean
      extends IgniteSpiManagementMBean

  Management bean for `MemoryEventStorageSpi`. Beside properties defined for every SPI bean this one gives access to:
  - Event expiration time (see `getExpireAgeMs()`)
  - Maximum queue size (see `getExpireCount()`)
  - Method that removes all items from queue (see `clearAll()`)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clearAll()` | Removes all events from the event queue.
    `long` | `getExpireAgeMs()` | Gets event time-to-live value.
    `long` | `getExpireCount()` | Gets maximum event queue size.
    `long` | `getQueueSize()` | Gets current queue size of the event queue.

    - ### Methods inherited from interface org.apache.ignite.spi.IgniteSpiManagementMBean

      `getIgniteHome, getLocalNodeId, getName, getStartTimestamp, getStartTimestampFormatted, getUpTime, getUpTimeFormatted`

- - ### Method Detail

    - #### getExpireAgeMs

          @MXBeanDescription("Event time-to-live value.")
          long getExpireAgeMs()

      Gets event time-to-live value. Implementation must guarantee that event would not be accessible if its lifetime exceeds this value.
      Returns:
        Event time-to-live.

    - #### getExpireCount

          @MXBeanDescription("Maximum event queue size.")
          long getExpireCount()

      Gets maximum event queue size. New incoming events will oust oldest ones if queue size exceeds this limit.
      Returns:
        Maximum event queue size.

    - #### getQueueSize

          @MXBeanDescription("Current event queue size.")
          long getQueueSize()

      Gets current queue size of the event queue.
      Returns:
        Current queue size of the event queue.

    - #### clearAll

          @MXBeanDescription("Removes all events from the event queue.")
          void clearAll()

      Removes all events from the event queue.